## org.apache.cassandra.service
Interface IResponseResolver<T>

All Known Implementing Classes:
  RangeSliceResponseResolver, ReadResponseResolver

    public interface IResponseResolver<T>

Method Summary
`boolean` `isDataPresent(java.util.Collection<Message> responses)`
`void` `preprocess(Message message)`
`T` `resolve(java.util.Collection<Message> responses)`

Method Detail

### resolve

    T resolve(java.util.Collection<Message> responses)
              throws DigestMismatchException,
                     java.io.IOException

  Throws:
    `DigestMismatchException`
    `java.io.IOException`

### isDataPresent

    boolean isDataPresent(java.util.Collection<Message> responses)

### preprocess

    void preprocess(Message message)

Copyright © 2010 The Apache Software Foundation